Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::iter_distance_compare_fn Struct Reference
Iterator
Inheritance diagram for ranges::iter_distance_compare_fn:

## Public Member Functions
template<typename I , typename S >
constexpr int | operator() (I first, S last, iter_difference_t< I > n) const

## Member Function Documentation

## ◆ operator()()

template<typename I , typename S >

constexpr int ranges::iter_distance_compare_fn::operator() | ( | I | first,
|  | S | last,
|  | iter_difference_t< I > | n
| ) |  | const
| constexpr

Precondition
  requires `input_iterator<I> && sentinel_for<S, I>`